# LabelVisualizer

#### new Cesium.LabelVisualizer(entityCluster, entityCollection)
DataSources/LabelVisualizer.js 60

A `Visualizer` which maps the `LabelGraphics` instance in `Entity#label` to a `Label`.

Name | Type | Description
--- | --- | ---
`entityCluster` | EntityCluster | The entity cluster to manage the collection of billboards and optionally cluster with other entities.
`entityCollection` | EntityCollection | The entityCollection to visualize.

### Methods

#### destroy()
DataSources/LabelVisualizer.js 209

Removes and destroys all primitives created by this instance.

#### isDestroyed() → Boolean
DataSources/LabelVisualizer.js 202

Returns true if this object was destroyed; otherwise, false.

##### Returns:

True if this object was destroyed; otherwise, false.

#### update(time) → Boolean
DataSources/LabelVisualizer.js 86

Updates the primitives created by this visualizer to match their Entity counterpart at the given time.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | The time to update to.

##### Returns:

This function always returns true.